## r-bioc-alabaster.base 1.4.2+ds

=== DESCRIPTION ===
Package: alabaster.base
Title: Save Bioconductor Objects To File
Version: 1.4.2
Date: 2024-06-21
Authors@R: person("Aaron", "Lun", role=c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com")
License: MIT + file LICENSE
Description: 
    Save Bioconductor data structures into file artifacts, and load them back into memory.
    This is a more robust and portable alternative to serialization of such objects into RDS files.
    Each artifact is associated with metadata for further interpretation;
    downstream applications can enrich this metadata with context-specific properties.
Imports: alabaster.schemas, methods, utils, S4Vectors, rhdf5 (>=
        2.47.6), jsonlite, jsonvalidate, Rcpp
Suggests: BiocStyle, rmarkdown, knitr, testthat, digest, Matrix
LinkingTo: Rcpp, Rhdf5lib
VignetteBuilder: knitr
SystemRequirements: C++17, GNU make
RoxygenNote: 7.3.1
biocViews: DataRepresentation, DataImport
git_url: https://git.bioconductor.org/packages/alabaster.base
git_branch: RELEASE_3_19
git_last_commit: baf5136
git_last_commit_date: 2024-06-21
Repository: Bioconductor 3.19
Date/Publication: 2024-06-23
NeedsCompilation: yes
Packaged: 2024-06-23 20:07:39 UTC; biocbuild
Author: Aaron Lun [aut, cre]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-alabaster.base (1.4.2+ds-4) unstable; urgency=medium

  * Restrict to little-endian architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 07 Nov 2024 10:30:50 +0100

r-bioc-alabaster.base (1.4.2+ds-3) unstable; urgency=medium

  * d/control: loosen r-bioc-alabaster.schemas dependency

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 19:33:23 +0200

r-bioc-alabaster.base (1.4.2+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 19:13:35 +0200

r-bioc-alabaster.base (1.4.2+ds-2~0exp3) experimental; urgency=medium

  * d/control: move r-bioc-biocstyle from Depends to Suggests, give
    r-bioc-alabaster.schemas a minimum version.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 01 Aug 2024 11:58:27 +0200

r-bioc-alabaster.base (1.4.2+ds-2~0exp2) experimental; urgency=medium

  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jul 2024 14:47:58 +0200

r-bioc-alabaster.base (1.4.2+ds-2~0exp1) experimental; urgency=medium

  * Added patch to remove the use of jsonvalidate until r-cran-jsonvalidate is
    in the archive.
  * autopkgtests: install additional packages

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 20 Jul 2024 15:15:11 +0200

r-bioc-alabaster.base (1.4.2+ds-2~0exp0) experimental; urgency=medium

  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 14 Jul 2024 17:52:23 +0200

r-bioc-alabaster.base (1.4.2+ds-1) unstable; urgency=medium

  * Initial release (closes: #1076020)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 16:08:23 +0200

=== debian/control ===
Source: r-bioc-alabaster.base
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.base
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.base.git
Homepage: https://bioconductor.org/packages/alabaster.base/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-alabaster.schemas (>= 1.4.0+ds-3),
               r-bioc-s4vectors (>= 0.42.1),
               r-bioc-rhdf5 (>= 2.48.0),
               r-cran-jsonlite,
               r-cran-rcpp,
               r-bioc-rhdf5lib (>= 1.26.0),
               architecture-is-64-bit,
               architecture-is-little-endian
Testsuite: autopkgtest-pkg-r

Package: r-bioc-alabaster.base
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-bioc-alabaster.schemas (>= 1.4.0+ds-3),
         r-bioc-s4vectors (>= 0.42.1),
         r-bioc-rhdf5 (>= 2.48.0),
         r-bioc-rhdf5lib (>= 1.26.0)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-biocstyle (>= 2.32.1)
Description: Save Bioconductor Objects To File
 Save Bioconductor data structures into file artifacts, and load them back into
 memory.
 This is a more robust and portable alternative to serialization of such
 objects into RDS files.
 Each artifact is associated with metadata for further interpretation;
 downstream applications can enrich this metadata with context-specific
 properties.

## r-bioc-alabaster.base 1.6.1+ds

=== DESCRIPTION ===
Package: alabaster.base
Title: Save Bioconductor Objects To File
Version: 1.6.1
Date: 2024-11-09
Authors@R: person("Aaron", "Lun", role=c("aut", "cre"), email="infinite.monkeys.with.keyboards@gmail.com")
License: MIT + file LICENSE
Description: 
    Save Bioconductor data structures into file artifacts, and load them back into memory.
    This is a more robust and portable alternative to serialization of such objects into RDS files.
    Each artifact is associated with metadata for further interpretation;
    downstream applications can enrich this metadata with context-specific properties.
Imports: alabaster.schemas, methods, utils, S4Vectors, rhdf5 (>=
        2.47.6), jsonlite, jsonvalidate, Rcpp
Suggests: BiocStyle, rmarkdown, knitr, testthat, digest, Matrix,
        alabaster.matrix
LinkingTo: Rcpp, Rhdf5lib
VignetteBuilder: knitr
SystemRequirements: C++17, GNU make
RoxygenNote: 7.3.2
Encoding: UTF-8
biocViews: DataRepresentation, DataImport
URL: https://github.com/ArtifactDB/alabaster.base
BugReports: https://github.com/ArtifactDB/alabaster.base/issues
git_url: https://git.bioconductor.org/packages/alabaster.base
git_branch: RELEASE_3_20
git_last_commit: 7737f18
git_last_commit_date: 2024-11-09
Repository: Bioconductor 3.20
Date/Publication: 2024-11-10
NeedsCompilation: yes
Packaged: 2024-11-10 21:24:44 UTC; biocbuild
Author: Aaron Lun [aut, cre]
Maintainer: Aaron Lun <infinite.monkeys.with.keyboards@gmail.com>

=== debian/changelog ===
r-bioc-alabaster.base (1.6.1+ds-1) experimental; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 06 Dec 2024 10:59:50 +0100

r-bioc-alabaster.base (1.6.0+ds-1) experimental; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Reduce piuparts noise in transitions (routine-update)
  Trim trailing whitespace.
  Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Refreshed the patches
  * Standards-Version: 4.7.0 (routine-update)
  Set upstream metadata fields: Repository-Browse.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Nov 2024 17:37:56 +0100

=== debian/control ===
Source: r-bioc-alabaster.base
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.base
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-alabaster.base.git
Homepage: https://bioconductor.org/packages/alabaster.base/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-alabaster.schemas,
               r-bioc-s4vectors,
               r-bioc-rhdf5 (>= 2.47.6),
               r-cran-jsonlite,
               r-cran-rcpp,
               r-bioc-rhdf5lib,
               architecture-is-64-bit
Testsuite: autopkgtest-pkg-r

Package: r-bioc-alabaster.base
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Save Bioconductor Objects To File
 Save Bioconductor data structures into file artifacts, and load them back into
 memory.
 This is a more robust and portable alternative to serialization of such
 objects into RDS files.
 Each artifact is associated with metadata for further interpretation;
 downstream applications can enrich this metadata with context-specific
 properties.

=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=auto,repack,compression=xz,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/alabaster.base.html .*/alabaster.base_(.*).tar.gz
